<!-- Popup ingreso de usuarios -->
<form (ngSubmit)="onSubmit()" [formGroup]="userAddForm">
  <div mat-dialog-content >
    <mat-form-field class="full-content" hintLabel="Máximo 30 caracteres">
      <input matInput autocomplete="off" maxlength="30" placeholder="Usuario" type="text" formControlName="user" #user required [errorStateMatcher]="matcher">
      <mat-hint align="end">{{user.value?.length || 0}}/30</mat-hint>
      <mat-error *ngIf="userAddForm.get('user').invalid && userAddForm.get('user').errors.required && userAddForm.get('user').dirty">
          Ingrese un usuario
      </mat-error>
      <mat-error *ngIf="userAddForm.get('user').invalid && userAddForm.get('user').errors.minlength && userAddForm.get('user').dirty">
        El usuario debe tener mínimo 4 caracteres
      </mat-error>
    </mat-form-field>
    <mat-form-field class="full-content" hintLabel="Máximo 30 caracteres" >
      <input matInput autocomplete="off" maxlength="30" placeholder="Contraseña" type="text" [type]="hide ? 'password' : 'text'" formControlName="pass" #pass required [errorStateMatcher]="matcher">
      <mat-hint align="end">{{pass.value?.length || 0}}/30</mat-hint>
      <!-- <mat-icon matSuffix (click)="hide = !hide">{{hide ? 'visibility_off' : 'visibility'}}</mat-icon> -->
      <mat-error *ngIf="userAddForm.get('pass').invalid && userAddForm.get('pass').errors.required && userAddForm.get('pass').dirty">
        Ingrese una contraseña
      </mat-error>
      <mat-error *ngIf="userAddForm.get('pass').invalid && userAddForm.get('pass').errors.minlength && userAddForm.get('pass').dirty">
        La contraseña debe tener mínimo 4 caracteres
      </mat-error>
    </mat-form-field>
  </div>
  <div mat-dialog-actions align="center">
    <button mat-raised-button (click)="onNoClick()" type="button" class="center-elem buttonDefault">Cerrar</button>
    <button mat-raised-button color="warn" type="submit" cdkFocusInitial class="center-elem">Guardar</button>
  </div>
</form>

